package com.huatek.busi.mapper;

import com.huatek.busi.entity.*;
import com.huatek.busi.vo.DeviceSubclassOrTestItemListVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface RMasterDataMapper {

    List<RMasterData> findRMasterDataByEquType(@Param("equType") String equType);

    int updateByRefIdsAndEquType(@Param("refIds") List<String> refIds, @Param("equType") String equType);

    int updateByIdAndEquType(@Param("eqType") String eqType, @Param("refId") String refId);

    int update(Map<String, Object> map);

    RMasterData findRMasterByWhere(Map<String, Object> map);

    RKggData findRKggByWhere(Map<String, Object> map);

    RGenData findRGenByWhere(Map<String, Object> map);

    RDlData findRDlByWhere(Map<String, Object> map);

    RBlqData findRBlqByWhere(Map<String, Object> map);

    List<RMasterData> findRKggDataByEquType(@Param("equType") String equType);

    List<RMasterData> findRBlqDataByEquType(@Param("equType") String equType);

    List<RMasterData> findRGenDataByEquType(@Param("equType") String equType);

    List<RMasterData> findRDlDataByEquType(@Param("equType") String equType);

    int updateKggByRefIdsAndEquType(@Param("refIds") List<String> refIds, @Param("equType") String equType);

    int updateBlqByRefIdsAndEquType(@Param("refIds") List<String> refIds, @Param("equType") String equType);

    int updateGenByRefIdsAndEquType(@Param("refIds") List<String> refIds, @Param("equType") String equType);

    int updateDlByRefIdsAndEquType(@Param("refIds") List<String> refIds, @Param("equType") String equType);

    int updateKggByIdAndEquType(@Param("eqType") String eqType, @Param("refId") String refId);

    int updateBlqByIdAndEquType(@Param("eqType") String eqType, @Param("refId") String refId);

    int updateGenByIdAndEquType(@Param("eqType") String eqType, @Param("refId") String refId);

    int updateDlByIdAndEquType(@Param("eqType") String eqType, @Param("refId") String refId);

    List<DeviceSubclassOrTestItemListVo> deviceSubclassList(@Param("equType") String equType);
}
